Skip to main content
GET
/
bank-statements
/
{id}
/
headers
/
{header_id}
/
item-lines
Get item lines for header
curl --request GET \
  --url https://api.anycheck.ai/bank-statements/{id}/headers/{header_id}/item-lines \
  --header 'X-API-Key: <api-key>'
{
  "total": 123,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "header_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "data": {
        "transaction_date": "2024-01-15",
        "description": "TRANSFER - SALARY",
        "debit": "0",
        "credit": "5000000",
        "balance": "12000000"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.fintelite.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for service-to-service authentication

Path Parameters

id
string<uuid>
required

Verification ID

header_id
string<uuid>
required

Header ID

Query Parameters

page_offset
integer
default:0
page_size
integer
default:50

Response

List of item lines for this header

total
integer
items
object[]